/******************** (C) COPYRIGHT 2006 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 12/06/06 : Eprom Emulation Version 1.0
* Description        : This file provides a main example showing how using the
*                      Eprom emulation routines provided in eeprom.c.
********************************************************************************
* History:
* 12/06/06 : Eprom Emulation Version 1.0
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "eeprom.h"
#include "asc.h"


/*
The informations below should be entered by the user according to his specific application,
so software modifications should be done.
In this project, three variables are supposed.
In your specific application, you can declare the number of needed variables and allocate them
space memories according to their update frequency (allocate more space memory to the more
updated variables.
*/


/* Variables defined by their start addresses */
#define A 0x2004	 /* A can be updated 1023 times (Maximum) */
#define B 0x3000	 /* B can be updated 1019 times (Maximum) */
#define C 0x3FEC	 /* C can be updated 5 times    (Maximum) */


u32 Tab[max_varia]   =
    {A,
     B,
     C
     //D,
     //E
    };


/* main example */

void main (void)

{
    u16 status, i;
    u32 Read_ValueA, Read_ValueB, Read_ValueC;

    /* UART initialization */
    ASCInitialize();
    /* Eprom initialization */
    EepromFormat();
    /* Update Varibale A */
    /* Display 'A' on the hyperteminal */
    ASCSendByte('A');
    for (i=0; i<7000; i++)
    {
        status = WriteVariable(0,Tab, 0x1584);
        /* If write operation is unsuccessful, send 'E' on the hyperterminal */
        if (status!=0) ASCSendByte('E');
    }

    /* Update Varibale B */
    /* Display 'B' on the hyperteminal */
    ASCSendByte('B');
    for (i=0; i<8000; i++)
    {
        status = WriteVariable(1,Tab, 0x8888);
        /* If write operation is unsuccessful, send 'E' on the hyperterminal */
        if (status!=0) ASCSendByte('E');

    }

    /* Update Varibale C */
    /* Display 'C' on the hyperteminal */
    ASCSendByte('C');
    for (i=0; i<6000; i++)
    {
        status = WriteVariable(2,Tab, 0x46);
        /* If write operation is unsuccessful, send 'E' on the hyperterminal */
        if (status!=0) ASCSendByte('E');


    }
    /* Read operation */
    /* Display 'R' on the hyperterminal */
    ASCSendByte('R');
    /* Read Variable A */
    Read_ValueA = ReadVariable(0, Tab);
    /* Read Variable B */
    Read_ValueB = ReadVariable(1, Tab);
    /* Read Variable C */
    Read_ValueC = ReadVariable(2, Tab);


    /* Display '1' on success and '0' on error */
    if (Read_ValueA == 0x1584)       /* Compare the variable A	*/
    {
        ASCSendByte('1');

    }
    else
    {
        ASCSendByte('0');

    }

    /* Display '1' on success and '0' on error */
    if (Read_ValueB ==  0x8888)       /* Compare the variable B	*/
    {
        ASCSendByte('1');

    }
    else
    {
        ASCSendByte('0');

    }

    /* Display '1' on success and '0' on error */
    if (Read_ValueC ==  0x46)          /* Compare the variable C */
    {
        ASCSendByte('1');

    }
    else
    {
        ASCSendByte('0');
    }

    while (1);




}/* End main */



/************************ (c) 2006  ST Microelectronics ******* END OF FILE ***/